<?php

/**
 * Настройки платежной системы PayKeeper для административного интерфейса
 * 
 * @package    PayKeeper
 * @author     paykeeper.ru
 * @version    1.0
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/includes/404.php';
}

class Payment_paykeeper_admin {

    public $config;
    private $diafan;

    public function __construct(&$diafan) {
        $this->diafan = &$diafan;
        $this->config = array(
            "name" => 'PayKeeper',
            "params" => array(
                'paykeeper_secret' => 'Секретный ключ',
                'paykeeper_url' => 'URL формы',
                'paykeeper_tax' => array(
                    'name' => 'Ставка НДС',
                    'type' => 'select',
                    'select' => array(
                        'none' => 'без НДС',
                        'vat0' => 'НДС 0%',
                        'vat10' => 'НДС 10%',
                        'vat20' => 'НДС 20%',
                        'vat110' => 'НДС 10/110',
                        'vat120' => 'НДС 20/120',
                    )
                )
            )
        );
    }

}
